ReadySetGoParserInternal::Shape Struct Reference documentation

ReadySetGoParserInternal::Shape Struct Reference

Internal: a shape in a ReadySetGoParser document. More...

## Public Types
enum | Type { T_Empty , T_Line , T_Oval , T_Picture , T_Rectangle , T_RectOval , T_Text , T_Unknown }
| the shape type More...

## Public Member Functions
| Shape (Type type)
| constructor

## Public Attributes
Type | m_type
| the shape type
MWAWBox2f | m_box
| the bounding box
MWAWGraphicStyle | m_style
| the graphic style
bool | m_wrapRoundAround
| the round around wraping flag
MWAWVec2f | m_points [2]
| the line points
MWAWVec2i | m_cornerSize
| the corner size: rectangle oval
int | m_textPositions [2]
| the text limits: v4
int | m_textId
| the text link id
int | m_linkIds [2]
| the text links: prev/next
MWAWParagraph | m_paragraph
| the paragraph style
bool | m_hasPicture
| a flag to know if a picture is empty or not
MWAWEntry | m_entries [3]
| the zone entries: picture or text zones

## Detailed Description

Internal: a shape in a ReadySetGoParser document.

## Member Enumeration Documentation

## ◆ Type

enum ReadySetGoParserInternal::Shape::Type

the shape type

Enumerator
T_Empty |
T_Line |
T_Oval |
T_Picture |
T_Rectangle |
T_RectOval |
T_Text |
T_Unknown |

## Constructor & Destructor Documentation

## ◆ Shape()

ReadySetGoParserInternal::Shape::Shape | ( | Type | type | ) |
| inlineexplicit

constructor

## Member Data Documentation

## ◆ m_box

MWAWBox2f ReadySetGoParserInternal::Shape::m_box

the bounding box

Referenced by ReadySetGoParser::readShapeV1(), ReadySetGoParser::readShapeV2(), ReadySetGoParser::readShapeV3(), ReadySetGoParser::send(), and Shape().

## ◆ m_cornerSize

MWAWVec2i ReadySetGoParserInternal::Shape::m_cornerSize

the corner size: rectangle oval

Referenced by ReadySetGoParser::readShapeV3(), ReadySetGoParser::send(), and Shape().

## ◆ m_entries

MWAWEntry ReadySetGoParserInternal::Shape::m_entries[3]

the zone entries: picture or text zones

Referenced by ReadySetGoParser::readShapeV1(), ReadySetGoParser::readShapeV2(), ReadySetGoParser::readShapeV3(), ReadySetGoParser::send(), and ReadySetGoParser::sendText().

## ◆ m_hasPicture

bool ReadySetGoParserInternal::Shape::m_hasPicture

a flag to know if a picture is empty or not

Referenced by ReadySetGoParser::readShapeV1(), ReadySetGoParser::readShapeV2(), and Shape().

## ◆ m_linkIds

int ReadySetGoParserInternal::Shape::m_linkIds[2]

the text links: prev/next

Referenced by ReadySetGoParser::readShapeV3(), ReadySetGoParser::sendText(), and Shape().

## ◆ m_paragraph

MWAWParagraph ReadySetGoParserInternal::Shape::m_paragraph

the paragraph style

Referenced by ReadySetGoParser::readShapeV1(), ReadySetGoParser::readShapeV2(), ReadySetGoParser::sendText(), and Shape().

## ◆ m_points

MWAWVec2f ReadySetGoParserInternal::Shape::m_points[2]

the line points

Referenced by ReadySetGoParser::readShapeV3(), and ReadySetGoParser::send().

## ◆ m_style

MWAWGraphicStyle ReadySetGoParserInternal::Shape::m_style

the graphic style

Referenced by ReadySetGoParser::readShapeV1(), ReadySetGoParser::readShapeV2(), ReadySetGoParser::readShapeV3(), ReadySetGoParser::send(), and Shape().

## ◆ m_textId

int ReadySetGoParserInternal::Shape::m_textId

the text link id

Referenced by ReadySetGoParser::readShapeV3(), and Shape().

## ◆ m_textPositions

int ReadySetGoParserInternal::Shape::m_textPositions[2]

the text limits: v4

Referenced by ReadySetGoParser::readShapeV3(), ReadySetGoParser::sendText(), and Shape().

## ◆ m_type

Type ReadySetGoParserInternal::Shape::m_type

the shape type

Referenced by ReadySetGoParser::readShapeV2(), ReadySetGoParser::send(), ReadySetGoParser::sendText(), and Shape().

## ◆ m_wrapRoundAround

bool ReadySetGoParserInternal::Shape::m_wrapRoundAround

the round around wraping flag

Referenced by ReadySetGoParser::readShapeV3(), ReadySetGoParser::send(), and Shape().

The documentation for this struct was generated from the following file:

- ReadySetGoParser.cxx